Skip to main content

Get Ckyc Details​

Consumer Request

Request Body required
    personalInformation object
    dateOfBirth string

    Possible values: <= 15 characters

    Proposer date of birth

    email string

    Possible values: <= 100 characters

    Email address of customer

    mobileNumber string

    Possible values: <= 10 characters

    Customer mobile number

    zipCode string

    Possible values: <= 10 characters

    Customer pincode

    pan string

    Possible values: <= 15 characters

    Customer pan number which is mandatory

    product object required
    insuranceCompanyCode string required

    Possible values: <= 15 characters, [ABHI, NBHI, TATAAIG, IL, HDFCERGO, MPLCIGNA, STARHLT, CHIL]

    productId string required

    Possible values: [2825 //HDFC Ergo My Health Suraksha Family Floater, 2828 //HDFC Ergo My Health Suraksha Individual, 4226 //ABHI Active Assur, 6212 //ABHI Activ Health, CARSUP //Care Supreme, HAP //ICICI Lombard Health AdvantEdge, Reassure //Niva Bupa Reassure, PROHEALTH //Manipal Cigna Pro Health]

    Product under considerations

    trackInfo object required
    manufacturerQuoteID string

    Possible values: <= 100 characters

    This is application no, available in quote

    manuApplicationNo string

    Possible values: <= 100 characters

    This is application no, available in quote

    KYCRequestID string

    Unique guid for tracking

    distributor object required
    distributorID string

    Possible values: <= 15 characters

    Static for a given Distributor. Ask your Account Manager

    agentID string

    Agentid of the distributor

    salesChannel string

    Possible values: <= 100 characters, [online, others]

    Sales channel

    channelType string

    Possible values: <= 15 characters, [B2B, B2C]

    should always be either B2B or B2C

    kycInfo object
    ReturnURL string

    Possible values: <= 1024 characters

    Return url of the page, incase redirected to insurer portal

Responses

Consumer Response


Schema
    reqId string
    errors object

    This array will capture error code and error message

    errorCode string

    Possible values: <= 50 characters

    In case error occurs, the error code will be stored here

    error string

    Possible values: <= 100 characters

    In case error occurs, the error message will be stored here

    data object
    personalInformation object
    firstName string

    Customer firstname

    middleName string

    Customer middle name

    lastName string

    Customer lastname

    dateOfBirth string

    Customer date of birth

    email nullable

    Customer email

    mobileNumber nullable

    Customer mobile

    zipCode string

    Customer pincode

    pan string

    Customer pan

    communicationAddressDetails object
    address string

    Customer complete Communication address

    address1 string

    Customer address 1

    address2 string

    Customer address 2

    address3 string

    Customer address 1

    state string

    Customer state

    citydistrict string

    Customer city

    zipcode string

    Customer zipcode

    permanentAddressDetails object
    address string

    Customer complete Permanent address

    address1 string

    Customer address 1

    address2 string

    Customer address 2

    address3 string

    Customer address 1

    state string

    Customer state

    citydistrict string

    Customer city

    zipcode string

    Customer zipcode

    product object
    insuranceCompanyCode string

    Same as what was passed in ckyc request

    productId string

    Same as what was passed in ckyc request

    trackInfo object
    manufacturerQuoteID string

    Same as what was passed in ckyc request

    manuApplicationNo string

    Same as what was passed in ckyc request

    1SBKYCRequestID string
    distributor object
    distributorID string

    Same as what was passed in ckyc request

    agentID string

    Same as what was passed in ckyc request

    salesChannel string

    Same as what was passed in ckyc request

    channelType string

    Same as what was passed in ckyc request

    kycInfo object
    KYCMode string

    Same as what was passed in ckyc request

    Status string

    Possible values: [approved, incomplete, rejected]

    Based on the status, decision to be made whether to continue with proposal. Resume journey only when status is Approved.

    RejectedReason nullable

    Reason why kyc was reject

    Manufacturer_KYC_Id string

    Same as what was passed in ckyc request

    KYC_Number string

    Same as what was passed in ckyc request

    RedirectURL nullable

    Same as what was passed in ckyc request

    ResponseParam string

    Same as what was passed in ckyc request

    varFields object[]
  • Array [
  • fieldName string
    fieldValue nullable
  • ]
Loading...